Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my locally built ones

From: Jan Nieuwenhuizen <[email-masked]>
Date: Tue, 23 Jul 2019 08:28:55 +0200

Mark H Weaver writes:

Hi Mark,

>> I have added a very similar set of two patches to wip-cu-binaries,
>> branched @ ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f.
>>
>> They give the same md5sum for me as the wip-binaries branch that
>> branched off of master; so mine are at
>> http://lilypond.org/janneke/guix/20190722/
>
> I built these, and here are the results:
>
> mhw@jojen /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0$ sha256sum *
> b5915c71ff5ea722864e1097ce1e7ed50fd68ad7544521f2dd6969173c260276  guile-static-stripped-2.2.4-i686-linux.tar.xz
> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz
> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-minimal-stripped-0.19-i686-linux.tar.xz
> 9ee954dc19db5c8d4113c73a702fd8f79f26c51024220f2617d0572c0a85e69c  static-binaries-0-i686-linux.tar.xz
>
> Do these match what you built?

Well...

08:16:12 janneke@dundal:~/src/guix/wip-cu-binaries [env]
$ sha256sum /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/*
adce360f68ed0083c7356c267c24271fa4907f8082c9d47db28b603f9da5e763  /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/guile-static-stripped-2.2.4-i686-linux.tar.xz
1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/linux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz
fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/mes-minimal-stripped-0.19-i686-linux.tar.xz
c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/static-binaries-0-i686-linux.tar.xz

...for mescc-tools and mes: yes.  I have put them all up here: http://lilypond.org/janneke/guix/20190722

> For the sake of completeness, I built these by running
>
>   ./pre-inst-env guix build bootstrap-tarballs --system=i686-linux
>
> from a git checkout at commit 5a6465e41a84b4320940d33709b80d78c1aff9d0.

/me too

>> After this commit should come the update-commit, using them in
>> bootstrap.scm.
>
> Right, except those commits should be applied to the tip of
> 'core-updates', and not until we're sure that these new bootstrap
> binaries are good.

Yes.

> Ludovic, what do you think?

FWIW, I'm working on a mes-0.20 release that supports Nyacc-0.99.0 (and
hopefully 1.0.0) and mescc-tools-0.6 and building on Debian ootb.

There's no real reason to update bootstrap tarballs for those versions
and I cannot promise a release date yet.

Further work on mes-0.21 should bring the Reduced Binary Seed bootstrap
to ARM (lots of work still) and replace the `static-binaries' with Gash,
reducing the size of our bootstrap binaries once again by ~50%.

janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com